Subject: [spring] Re: Call for adoption: draft-ali-spring-srv6-policy-sid-list-optimization-01 (Ends 2025-11-19)
From: allan michael <[email-masked]>
To: Bruno Decraene <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 29 Oct 2025 22:38:50 +0800
List-Id: "Source Packet Routing in NetworkinG (SPRING)" <spring.ietf.org>

Hi WG,

I support this adoption.

The SID list can be optimized by excluding the endpoint Node SID when
installing the policy.
It can significantly improve the forwarding performance of the egress node.

Thanks,
Allan

On Wed, Oct 29, 2025 at 9:41 PM Bruno Decraene via Datatracker <
[email-masked]> wrote:

>
> Subject: Call for adoption:
> draft-ali-spring-srv6-policy-sid-list-optimization-01  (Ends 2025-11-19)
>
> This message starts a 3-week Call for Adoption for this document.
>
> Abstract:
>    Segment Routing (SR) allows a node to steer a packet flow along any
>    path.  SR Policy is an ordered list of segments (i.e., instructions)
>    that represent a source-routed policy.  The packets steered into an
>    SR Policy carry an ordered list of segments associated with that SR
>    Policy.  An SR Policy can be instantiated SR-MPLS and SRv6 data
>    planes.
>
>    In some use cases, an SRv6 Policy's SID list ends with the policy
>    endpoint's node SID, and the traffic steered (over policy) already
>    ensures that it is taken to the policy endpoint.  In such cases, the
>    SID list can be optimized by excluding the endpoint Node SID when
>    installing the policy.  This draft specifies procedures to indicate
>    whether the endpoint's node SID needs to be included or excluded when
>    installing the SRv6 Policy.
>
> File can be retrieved from:
>
> https://datatracker.ietf.org/doc/draft-ali-spring-srv6-policy-sid-list-optimization/
>
> Please reply to this message keeping [email-masked] in copy by indicating
> whether you support or not the adoption of this draft as a WG document.
> Comments to motivate your preference are highly appreciated.
>
> Authors, and WG participants in general, are reminded of the Intellectual
> Property Rights (IPR) disclosure obligations described in BCP 79 [2].
> Appropriate IPR disclosures required for full conformance with the
> provisions
> of BCP 78 [1] and BCP 79 [2] must be filed, if you are aware of any.
> Sanctions available for application to violators of IETF IPR Policy can be
> found at [3].
>
> Thank you.
> [1] https://datatracker.ietf.org/doc/bcp78/
> [2] https://datatracker.ietf.org/doc/bcp79/
> [3] https://datatracker.ietf.org/doc/rfc6701/
>
>
>
> _______________________________________________
> spring mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]
>